/* Header file for modulefunc.c */

#ifndef MODULEFUNC_H
#define MOUDLEFUNC_H 1

#include <unistd.h>

void kill_module(pid_t pid);
int wait_module(pid_t pid,int timeout);

struct tmpfile {
  char *name;

  struct tmpfile *next;
  struct tmpfile *prev;

};

/* A linked list of all the temp files. */
extern struct tmpfile *tmpfilelist;

char *mktempname();          /* Makes a tmpfile name and adds it to the tmpfile list. */
void rmtempfile(char *file); /* Removes a tmpfile from the tmpfile list and deletes the actual file. */

void rmalltmpfiles(void); /* Removes all temp files. */

#endif /* modulefunc.h */
